Bug 1732714 (CVE-2019-14248) - CVE-2019-14248 nasm: NULL pointer dereference in asm/pragma.c leading to Segmentation fault
Summary: CVE-2019-14248 nasm: NULL pointer dereference in asm/pragma.c leading to Segm...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-14248
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1732715
Blocks: 1732718
TreeView+ depends on / blocked
 
Reported: 2019-07-24 08:03 UTC by Marian Rehak
Modified: 2019-09-29 15:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 13:18:19 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-24 08:03:30 UTC
In libnasm.a in Netwide Assembler (NASM) 2.14.xx, asm/pragma.c allows a NULL pointer dereference in process_pragma, search_pragma_list, and nasm_set_limit when "%pragma limit" is mishandled.

Upstream Issue:

https://bugzilla.nasm.us/show_bug.cgi?id=3392576

Comment 1 Marian Rehak 2019-07-24 08:03:41 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1732715]

Comment 2 Riccardo Schirone 2019-07-26 11:27:03 UTC
"%pragma limit" was introduced in NASM 2.14 with commit https://repo.or.cz/nasm.git/commit/987dc9c9dbe36601789aae4552a7c0ceb1ca0852 .

Comment 3 Riccardo Schirone 2019-07-26 11:29:07 UTC
Statement:

This issue did not affect the versions of nasm as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 as they did not include support for the pragma limit feature.

Comment 4 Product Security DevOps Team 2019-07-26 13:18:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14248


Note You need to log in before you can comment on or make changes to this bug.